Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.views.jsp.ui
Class TreeTag

    java.lang.Object
      javax.servlet.jsp.tagext.TagSupport
          javax.servlet.jsp.tagext.BodyTagSupport
              org.apache.struts2.views.jsp.StrutsBodyTagSupport
                  org.apache.struts2.views.jsp.ComponentTagSupport
                      org.apache.struts2.views.jsp.ui.AbstractUITag
                          org.apache.struts2.views.jsp.ui.AbstractClosingTag
                              org.apache.struts2.views.jsp.ui.TreeTag

All Implemented Interfaces:
  Serializable, BodyTag, IterationTag, JspTag, Tag

    public class TreeTag

extends AbstractClosingTag

See Also:
  `Tree`, Serialized Form

Field Summary
`private String` | `blankIconSrc`
`private String` | `childCollectionProperty`
`private String` | `expandIconSrcMinus`
`private String` | `expandIconSrcPlus`
`private String` | `gridIconSrcC`
`private String` | `gridIconSrcL`
`private String` | `gridIconSrcP`
`private String` | `gridIconSrcV`
`private String` | `gridIconSrcX`
`private String` | `gridIconSrcY`
`private String` | `iconHeight`
`private String` | `iconWidth`
`private String` | `nodeIdProperty`
`private String` | `nodeTitleProperty`
`private String` | `rootNode`
`private static long` | `serialVersionUID`
`private String` | `showGrid`
`private String` | `showRootGrid`
`private String` | `templateCssPath`
`private String` | `toggle`
`private String` | `toggleDuration`
`private String` | `treeCollapsedTopic`
`private String` | `treeExpandedTopic`
`private String` | `treeSelectedTopic`

Fields inherited from class org.apache.struts2.views.jsp.ui.AbstractClosingTag
`openTemplate`

Fields inherited from class org.apache.struts2.views.jsp.ui.AbstractUITag
`accesskey, cssClass, cssStyle, disabled, key, label, labelPosition, name, onblur, onchange, onclick, ondblclick, onfocus, onkeydown, onkeypress, onkeyup, onmousedown, onmousemove, onmouseout, onmouseover, onmouseup, onselect, required, requiredposition, tabindex, template, templateDir, theme, title, tooltip, tooltipConfig, value`

Fields inherited from class org.apache.struts2.views.jsp.ComponentTagSupport
`component`

Fields inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`bodyContent`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.BodyTag
`EVAL_BODY_BUFFERED, EVAL_BODY_TAG`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`TreeTag()`

Method Summary
`Component` | `getBean(ValueStack stack, HttpServletRequest req, HttpServletResponse res)`
`String` | `getBlankIconSrc()`
`String` | `getChildCollectionProperty()`
`String` | `getExpandIconSrcMinus()`
`String` | `getExpandIconSrcPlus()`
`String` | `getGridIconSrcC()`
`String` | `getGridIconSrcL()`
`String` | `getGridIconSrcP()`
`String` | `getGridIconSrcV()`
`String` | `getGridIconSrcX()`
`String` | `getGridIconSrcY()`
`String` | `getIconHeight()`
`String` | `getIconWidth()`
`String` | `getNodeIdProperty()`
`String` | `getNodeTitleProperty()`
`String` | `getRootNode()`
`String` | `getShowGrid()`
`String` | `getShowRootGrid()`
`String` | `getTemplateCssPath()`
`String` | `getToggle()`
`String` | `getToggleDuration()`
`String` | `getTreeCollapsedTopic()`
`String` | `getTreeExpandedTopic()`
`String` | `getTreeSelectedTopic()`
`protected void` | `populateParams()`
`void` | `setBlankIconSrc(String blankIconSrc)`
`void` | `setChildCollectionProperty(String childCollectionProperty)`
`void` | `setExpandIconSrcMinus(String expandIconSrcMinus)`
`void` | `setExpandIconSrcPlus(String expandIconSrcPlus)`
`void` | `setGridIconSrcC(String gridIconSrcC)`
`void` | `setGridIconSrcL(String gridIconSrcL)`
`void` | `setGridIconSrcP(String gridIconSrcP)`
`void` | `setGridIconSrcV(String gridIconSrcV)`
`void` | `setGridIconSrcX(String gridIconSrcX)`
`void` | `setGridIconSrcY(String gridIconSrcY)`
`void` | `setIconHeight(String iconHeight)`
`void` | `setIconWidth(String iconWidth)`
`void` | `setNodeIdProperty(String nodeIdProperty)`
`void` | `setNodeTitleProperty(String nodeTitleProperty)`
`void` | `setRootNode(String rootNode)`
`void` | `setShowGrid(String showGrid)`
`void` | `setShowRootGrid(String showRootGrid)`
`void` | `setTemplateCssPath(String templateCssPath)`
`void` | `setToggle(String toggle)`
`void` | `setToggleDuration(String toggleDuration)`
`void` | `setTreeCollapsedTopic(String treeCollapsedTopic)`
`void` | `setTreeExpandedTopic(String treeExpandedTopic)`
`void` | `setTreeSelectedTopic(String treeSelectedTopic)`

Methods inherited from class org.apache.struts2.views.jsp.ui.AbstractClosingTag
`setOpenTemplate`

Methods inherited from class org.apache.struts2.views.jsp.ui.AbstractUITag
`setAccesskey, setCssClass, setCssStyle, setDisabled, setKey, setLabel, setLabelposition, setName, setOnblur, setOnchange, setOnclick, setOndblclick, setOnfocus, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setOnselect, setRequired, setRequiredposition, setTabindex, setTemplate, setTemplateDir, setTheme, setTitle, setTooltip, setTooltipConfig, setValue`

Methods inherited from class org.apache.struts2.views.jsp.ComponentTagSupport
`doEndTag, doStartTag, getComponent`

Methods inherited from class org.apache.struts2.views.jsp.StrutsBodyTagSupport
`altSyntax, findString, findValue, findValue, getBody, getStack, setId, toString, translateVariables`

Methods inherited from class javax.servlet.jsp.tagext.BodyTagSupport
`doAfterBody, doInitBody, getBodyContent, getPreviousOut, release, setBodyContent`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`findAncestorWithClass, getId, getParent, getValue, getValues, removeValue, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface javax.servlet.jsp.tagext.Tag
`getParent, setPageContext, setParent`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

### toggle

    private String toggle

### treeSelectedTopic

    private String treeSelectedTopic

### treeExpandedTopic

    private String treeExpandedTopic

### treeCollapsedTopic

    private String treeCollapsedTopic

### rootNode

    private String rootNode

### childCollectionProperty

    private String childCollectionProperty

### nodeTitleProperty

    private String nodeTitleProperty

### nodeIdProperty

    private String nodeIdProperty

### showRootGrid

    private String showRootGrid

### showGrid

    private String showGrid

### blankIconSrc

    private String blankIconSrc

### gridIconSrcL

    private String gridIconSrcL

### gridIconSrcV

    private String gridIconSrcV

### gridIconSrcP

    private String gridIconSrcP

### gridIconSrcC

    private String gridIconSrcC

### gridIconSrcX

    private String gridIconSrcX

### gridIconSrcY

    private String gridIconSrcY

### expandIconSrcPlus

    private String expandIconSrcPlus

### expandIconSrcMinus

    private String expandIconSrcMinus

### iconWidth

    private String iconWidth

### iconHeight

    private String iconHeight

### toggleDuration

    private String toggleDuration

### templateCssPath

    private String templateCssPath

Constructor Detail

### TreeTag

    public TreeTag()

Method Detail

### getBean

    public Component getBean(ValueStack stack,
                             HttpServletRequest req,
                             HttpServletResponse res)

  Specified by:
    `getBean` in class `ComponentTagSupport`

### populateParams

    protected void populateParams()

  Overrides:
    `populateParams` in class `AbstractClosingTag`

### getToggle

    public String getToggle()

### setToggle

    public void setToggle(String toggle)

### getTreeSelectedTopic

    public String getTreeSelectedTopic()

### setTreeSelectedTopic

    public void setTreeSelectedTopic(String treeSelectedTopic)

### getTreeExpandedTopic

    public String getTreeExpandedTopic()

### setTreeExpandedTopic

    public void setTreeExpandedTopic(String treeExpandedTopic)

### getTreeCollapsedTopic

    public String getTreeCollapsedTopic()

### setTreeCollapsedTopic

    public void setTreeCollapsedTopic(String treeCollapsedTopic)

### getRootNode

    public String getRootNode()

### setRootNode

    public void setRootNode(String rootNode)

### getChildCollectionProperty

    public String getChildCollectionProperty()

### setChildCollectionProperty

    public void setChildCollectionProperty(String childCollectionProperty)

### getNodeTitleProperty

    public String getNodeTitleProperty()

### setNodeTitleProperty

    public void setNodeTitleProperty(String nodeTitleProperty)

### getNodeIdProperty

    public String getNodeIdProperty()

### setNodeIdProperty

    public void setNodeIdProperty(String nodeIdProperty)

### getShowRootGrid

    public String getShowRootGrid()

### setShowRootGrid

    public void setShowRootGrid(String showRootGrid)

### getBlankIconSrc

    public String getBlankIconSrc()

### setBlankIconSrc

    public void setBlankIconSrc(String blankIconSrc)

### getExpandIconSrcMinus

    public String getExpandIconSrcMinus()

### setExpandIconSrcMinus

    public void setExpandIconSrcMinus(String expandIconSrcMinus)

### getExpandIconSrcPlus

    public String getExpandIconSrcPlus()

### setExpandIconSrcPlus

    public void setExpandIconSrcPlus(String expandIconSrcPlus)

### getGridIconSrcC

    public String getGridIconSrcC()

### setGridIconSrcC

    public void setGridIconSrcC(String gridIconSrcC)

### getGridIconSrcL

    public String getGridIconSrcL()

### setGridIconSrcL

    public void setGridIconSrcL(String gridIconSrcL)

### getGridIconSrcP

    public String getGridIconSrcP()

### setGridIconSrcP

    public void setGridIconSrcP(String gridIconSrcP)

### getGridIconSrcV

    public String getGridIconSrcV()

### setGridIconSrcV

    public void setGridIconSrcV(String gridIconSrcV)

### getGridIconSrcX

    public String getGridIconSrcX()

### setGridIconSrcX

    public void setGridIconSrcX(String gridIconSrcX)

### getGridIconSrcY

    public String getGridIconSrcY()

### setGridIconSrcY

    public void setGridIconSrcY(String gridIconSrcY)

### getIconHeight

    public String getIconHeight()

### setIconHeight

    public void setIconHeight(String iconHeight)

### getIconWidth

    public String getIconWidth()

### setIconWidth

    public void setIconWidth(String iconWidth)

### getTemplateCssPath

    public String getTemplateCssPath()

### setTemplateCssPath

    public void setTemplateCssPath(String templateCssPath)

### getToggleDuration

    public String getToggleDuration()

### setToggleDuration

    public void setToggleDuration(String toggleDuration)

### getShowGrid

    public String getShowGrid()

### setShowGrid

    public void setShowGrid(String showGrid)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007 Apache Software Foundation. All Rights Reserved.